summaryrefslogtreecommitdiffstats
path: root/system/acpitool
diff options
context:
space:
mode:
author Rodney Cobb <rdc@ktabic.co.uk>2010-05-12 17:44:57 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-12 17:44:57 +0200
commit7e7696327cd7233cec689563f77e01223710b69c (patch)
tree422a65095f8d1d78ce5d4817dceb81e4ac63b2b0 /system/acpitool
parentbf1b7d11d6679eeebba6c686e2f07377121d43f8 (diff)
downloadslackbuilds-7e7696327cd7233cec689563f77e01223710b69c.tar.gz
slackbuilds-7e7696327cd7233cec689563f77e01223710b69c.tar.xz
system/acpitool: Updated for version 0.5
Diffstat (limited to 'system/acpitool')
-rw-r--r--system/acpitool/README8
-rw-r--r--system/acpitool/acpitool-0.5-add_string.h.patch27
-rw-r--r--system/acpitool/acpitool.SlackBuild20
-rw-r--r--system/acpitool/acpitool.info8
-rw-r--r--system/acpitool/slack-desc4
5 files changed, 53 insertions, 14 deletions
diff --git a/system/acpitool/README b/system/acpitool/README
index 1a08b5a132..de8d9c3374 100644
--- a/system/acpitool/README
+++ b/system/acpitool/README
@@ -1,5 +1,7 @@
This is an ACPI client for Linux, written by David Leemans.
+
This ACPI client is intended to be a replacement for the apm tool.
-Even though APM works fine on a lot of laptops, it is deprecated and will
-be replaced by ACPI. Most newer laptops even require ACPI to boot properly;
-as such, it will be nice to have an ACPI client.
+
+Even though APM works fine on a lot of laptops, it is deprecated
+and will be replaced by ACPI. Most newer laptops even require ACPI
+to boot properly. As such, it will be nice to have an ACPI client.
diff --git a/system/acpitool/acpitool-0.5-add_string.h.patch b/system/acpitool/acpitool-0.5-add_string.h.patch
new file mode 100644
index 0000000000..97f1ab3a71
--- /dev/null
+++ b/system/acpitool/acpitool-0.5-add_string.h.patch
@@ -0,0 +1,27 @@
+Trivial patch to add the string.h includes so that newer glibc won't
+ cause errors. This doesn't fix the compiler warnings though.
+Signed-off-by: Robby Workman <rworkman@slackware.com>
+
+diff -Nur acpitool-0.5.orig/src/freq.cpp acpitool-0.5/src/freq.cpp
+--- acpitool-0.5.orig/src/freq.cpp 2008-07-20 17:47:55.000000000 -0500
++++ acpitool-0.5/src/freq.cpp 2009-05-18 10:48:45.151565890 -0500
+@@ -34,7 +34,7 @@
+ #include <dirent.h>
+ #include "acpitool.h"
+ #include "freq.h"
+-
++#include <string.h>
+
+ using namespace std;
+
+diff -Nur acpitool-0.5.orig/src/toshiba.cpp acpitool-0.5/src/toshiba.cpp
+--- acpitool-0.5.orig/src/toshiba.cpp 2007-11-06 15:19:59.000000000 -0600
++++ acpitool-0.5/src/toshiba.cpp 2009-05-18 10:49:00.400887087 -0500
+@@ -33,6 +33,7 @@
+ #include <iomanip>
+ #include <fstream>
+ #include "toshiba.h"
++#include <string.h>
+
+ using namespace std;
+
diff --git a/system/acpitool/acpitool.SlackBuild b/system/acpitool/acpitool.SlackBuild
index 8898d411c0..d2e1561af0 100644
--- a/system/acpitool/acpitool.SlackBuild
+++ b/system/acpitool/acpitool.SlackBuild
@@ -20,10 +20,12 @@
# SUCH DAMAGE.
# ---------------------------------------------------------------------------
+# Modified by the SlackBuilds.org Project
+
PRGNAM=acpitool
-VERSION=${VERSION:-0.4.7}
+VERSION=0.5
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -35,6 +37,8 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
set -e # Exit on most errors
@@ -48,6 +52,9 @@ cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
+# Add the string.h include in toshiba.cpp and freq.cpp
+patch -p1 < $CWD/acpitool-0.5-add_string.h.patch
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -61,8 +68,10 @@ make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
@@ -70,8 +79,9 @@ make install DESTDIR=$PKG
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a ChangeLog AUTHORS COPYING INSTALL README TODO \
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
$PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/system/acpitool/acpitool.info b/system/acpitool/acpitool.info
index 24f8e37111..df194758a9 100644
--- a/system/acpitool/acpitool.info
+++ b/system/acpitool/acpitool.info
@@ -1,8 +1,8 @@
PRGNAM="acpitool"
-VERSION="0.4.7"
+VERSION="0.5"
HOMEPAGE="http://freeunix.dyndns.org:8000/site2/acpitool.shtml"
-DOWNLOAD="http://freeunix.dyndns.org:8000/ftp_site/pub/unix/acpitool/acpitool-0.4.7.tar.bz2"
-MD5SUM="cba416a11229e896ec2639c59b6f59c5"
+DOWNLOAD="http://freeunix.dyndns.org:8000/ftp_site/pub/unix/acpitool/acpitool-0.5.tar.bz2"
+MD5SUM="c4acc19eb002d6871d12abb490593202"
MAINTAINER="Rodney Cobb"
EMAIL="rdc@ktabic.co.uk"
-APPROVED="rworkman"
+APPROVED="Michiel"
diff --git a/system/acpitool/slack-desc b/system/acpitool/slack-desc
index 63e04f5c11..44fb0ec05d 100644
--- a/system/acpitool/slack-desc
+++ b/system/acpitool/slack-desc
@@ -5,8 +5,8 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler-----------------------------------------------------|
-acpitool: acpitool
+ |-----handy-ruler------------------------------------------------------|
+acpitool: acpitool (Configuration and Power Interface client Linux)
acpitool:
acpitool: This is an ACPI client for Linux, written by David Leemans.
acpitool: This ACPI client is intended to be a replacement for the apm tool.